call_usermodehelper_pipe
Prev | Module Loading | Next

## Name

call_usermodehelper_pipe — call a usermode helper process with a pipe stdin

## Synopsis

`int call_usermodehelper_pipe (` | char * | path,
| char ** | argv,
| char ** | envp,
| struct file ** | filp`)`;

## Arguments

`path`

  path to usermode executable

`argv`

  arg vector for process

`envp`

  environment for process

`filp`

  set to the write-end of a pipe

## Description

This is a simple wrapper which executes a usermode-helper function with a pipe as stdin. It is implemented entirely in terms of lower-level call_usermodehelper_* functions.

Prev | Up | Next
call_usermodehelper_exec | Home | Inter Module support